rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 1 0 | files\endl.exe" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 200000 2 | files\endl.exe" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 1 4 | files\transform.exe 5 reverse_values | files\endl.exe" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 1 6 | files\transform.exe 7 shuffle_values | files\endl.exe" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 200000 | files\endl.exe" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 100000 | files\endl.exe" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 20000 | files\endl.exe" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 200000 | files\transform.exe 15 reverse_seats | files\endl.exe" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 100000 | files\transform.exe 17 reverse_values reverse_seats | files\endl.exe" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 19999 | files\transform.exe 19 reverse_values reverse_seats | files\endl.exe" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 200000 | files\transform.exe 21 shuffle_seats | files\endl.exe" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 100000 | files\transform.exe 23 shuffle_values shuffle_seats | files\endl.exe" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_modulo.exe 200000 20000 | files\transform.exe 25 shuffle_values shuffle_seats | files\endl.exe" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 200000 26 | files\endl.exe" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 200000 28 | files\endl.exe" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 200000 30 | files\endl.exe" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen_random.exe 200000 200000 32 | files\endl.exe" "tests\20" 20
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""
call scripts\gen-answer.bat tests\06 tests\06.a "tests" ""
call scripts\gen-answer.bat tests\07 tests\07.a "tests" ""
call scripts\gen-answer.bat tests\08 tests\08.a "tests" ""
call scripts\gen-answer.bat tests\09 tests\09.a "tests" ""
call scripts\gen-answer.bat tests\10 tests\10.a "tests" ""
call scripts\gen-answer.bat tests\11 tests\11.a "tests" ""
call scripts\gen-answer.bat tests\12 tests\12.a "tests" ""
call scripts\gen-answer.bat tests\13 tests\13.a "tests" ""
call scripts\gen-answer.bat tests\14 tests\14.a "tests" ""
call scripts\gen-answer.bat tests\15 tests\15.a "tests" ""
call scripts\gen-answer.bat tests\16 tests\16.a "tests" ""
call scripts\gen-answer.bat tests\17 tests\17.a "tests" ""
call scripts\gen-answer.bat tests\18 tests\18.a "tests" ""
call scripts\gen-answer.bat tests\19 tests\19.a "tests" ""
call scripts\gen-answer.bat tests\20 tests\20.a "tests" ""

